# $Revision: 1.10 $, $Date: 2011/11/03 04:57:14 $
%define		status		beta
%define		pearname	Services_ProjectHoneyPot
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - A package to interface the http:bl API of ProjectHoneyPot.org
Summary(pl.UTF-8):	%{pearname} - interfejs do API http:bl projektu ProjectHoneyPot.org
Name:		php-pear-%{pearname}
Version:	0.6.0
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	9dc38df7077f41f93e3e2c992e17e85c
URL:		http://pear.php.net/package/Services_ProjectHoneyPot/
BuildRequires:	php-pear-PEAR >= 1:1.9.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-Net_CheckIP2 >= 1.0.0-0.RC3
Requires:	php-pear-Net_DNS2 >= 1.1.4
Requires:	php-pear-PEAR-core >= 1:1.4.0
Requires:	php-spl
Obsoletes:	php-pear-Services_ProjectHoneyPot-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is used to determine if an IP or hostname are a) a search
engine, b) suspicious, c) the ip of a harvester or/and d) of a comment
spammer.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Pakiet ten umożliwia określenie czy dany adres IP lub nazwa host to a)
wyszukiwarka internetowa, b) podejrzany adres c) adres ip zbieracza
adresów i/lub d) spammer.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/Services_ProjectHoneyPot/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Services/ProjectHoneyPot
%{php_pear_dir}/Services/ProjectHoneyPot.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Services_ProjectHoneyPot.spec,v $
Revision 1.10  2011/11/03 04:57:14  glen
- updated to: 0.6.0

Revision 1.9  2011/01/23 11:09:36  glen
- updated to: 0.5.3

Revision 1.8  2011/01/23 01:03:25  sparky
- dropped -tests subpackage

Revision 1.7  2010/08/22 08:51:29  glen
- ensure rpmbuild macros present

Revision 1.6  2010/08/21 19:09:13  glen
- updated deps with pearize.sh
- release 4

Revision 1.5  2008/11/12 09:15:20  glen
- fix dep; rel 3

Revision 1.4  2008/05/24 08:41:48  adamg
- release 2 (updated PEAR deps)

Revision 1.3  2008-05-23 22:01:11  glen
- we have different versioning for betas, just take full version

Revision 1.2  2008-05-23 20:10:25  adamg
- PEAR-core is enough

Revision 1.1  2008-05-18 15:32:45  adamg
- new

